store-products-post-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25334823297Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
asyncLambda:
jef-store-post-52
Endpoint¶
API Name:
jef-storeAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/store-products-post-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-post-52curl payload mode:
json_body
API Gateway Description¶
Function: jef-store-post-52
Module: jef-store
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /store-products-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-store-products
Payload Example:
- pk: PRO-1001-0001
- gsi_1_pk: 1001
- gsi_1_sk: Pandan Coconut Sea Salt Latte
- gsi_2_pk: specialty-coffee-drink
- gsi_2_sk: Pandan Coconut Sea Salt Latte
- entity_number: 1001
- product_number: PRO-1001-0001
- sku: PH-SPECIA-10010001
- product_name: Pandan Coconut Sea Salt Latte
- category: specialty-coffee-drink
- brand: Pandan Coconut Sea Salt Latte brand 1001-0001
- description: Specialty iced latte with espresso, pandan syrup, coconut milk, and sea salt cream.
- base_price: 158
- stock_quantity: 24
- unit_label: Pandan Coconut Sea Salt Latte
- rating: 1001
- is_featured: true
- tag_1: Pandan Coconut Sea Salt Latte tag 1 1001-0001
- tag_2: Pandan Coconut Sea Salt Latte tag 2 1001-0001
- tag_3: Pandan Coconut Sea Salt Latte tag 3 1001-0001
- display_order: 1
- is_active: true
- is_deleted: false
- deleted_at:
- created_at: 2026-05-04T09:07:00+08:00
- updated_at: 2026-05-04T09:07:00+08:00
- idempotency_key: 245d13b4-9c54-5402-8895-5c61defb9b3f
- schema_version: 1001
- version: 1001
Payload Schema:
- pk: string-{product_number}
- gsi_1_pk: string-{entity_number}
- gsi_1_sk: string-{product_name}
- gsi_2_pk: string-{category}
- gsi_2_sk: string-{product_name}
- entity_number: string
- product_number: string
- sku: string
- product_name: string
- category: string
- brand: string
- description: string
- base_price: number
- stock_quantity: number
- unit_label: string
- rating: number
- is_featured: boolean
- tag_1: string
- tag_2: string
- tag_3: string
- display_order: number
- is_active: boolean
- is_deleted: boolean
- deleted_at: string
- created_at: string
- updated_at: string
- idempotency_key: string
- schema_version: number
- version: number
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "PRO-1001-0001",
"gsi_1_pk": "1001",
"gsi_1_sk": "Pandan Coconut Sea Salt Latte",
"gsi_2_pk": "specialty-coffee-drink",
"gsi_2_sk": "Pandan Coconut Sea Salt Latte",
"entity_number": "1001",
"product_number": "PRO-1001-0001",
"sku": "PH-SPECIA-10010001",
"product_name": "Pandan Coconut Sea Salt Latte",
"category": "specialty-coffee-drink",
"brand": "Pandan Coconut Sea Salt Latte brand 1001-0001",
"description": "Specialty iced latte with espresso, pandan syrup, coconut milk, and sea salt cream.",
"base_price": "158",
"stock_quantity": "24",
"unit_label": "Pandan Coconut Sea Salt Latte",
"rating": "1001",
"is_featured": "true",
"tag_1": "Pandan Coconut Sea Salt Latte tag 1 1001-0001",
"tag_2": "Pandan Coconut Sea Salt Latte tag 2 1001-0001",
"tag_3": "Pandan Coconut Sea Salt Latte tag 3 1001-0001",
"display_order": "1",
"is_active": "true",
"is_deleted": "false",
"deleted_at": "",
"created_at": "2026-05-04T09:07:00+08:00",
"updated_at": "2026-05-04T09:07:00+08:00",
"idempotency_key": "245d13b4-9c54-5402-8895-5c61defb9b3f",
"schema_version": "1001",
"version": "1001"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"PRO-1001-0001\", \"gsi_1_pk\": \"1001\", \"gsi_1_sk\": \"Pandan Coconut Sea Salt Latte\", \"gsi_2_pk\": \"specialty-coffee-drink\", \"gsi_2_sk\": \"Pandan Coconut Sea Salt Latte\", \"entity_number\": \"1001\", \"product_number\": \"PRO-1001-0001\", \"sku\": \"PH-SPECIA-10010001\", \"product_name\": \"Pandan Coconut Sea Salt Latte\", \"category\": \"specialty-coffee-drink\", \"brand\": \"Pandan Coconut Sea Salt Latte brand 1001-0001\", \"description\": \"Specialty iced latte with espresso, pandan syrup, coconut milk, and sea salt cream.\", \"base_price\": 158, \"stock_quantity\": 24, \"unit_label\": \"Pandan Coconut Sea Salt Latte\", \"rating\": 1001, \"is_featured\": \"true\", \"tag_1\": \"Pandan Coconut Sea Salt Latte tag 1 1001-0001\", \"tag_2\": \"Pandan Coconut Sea Salt Latte tag 2 1001-0001\", \"tag_3\": \"Pandan Coconut Sea Salt Latte tag 3 1001-0001\", \"display_order\": 1, \"is_active\": \"true\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"245d13b4-9c54-5402-8895-5c61defb9b3f\", \"schema_version\": 1001, \"version\": 1001}"
PowerShell curl¶
curl.exe -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "PRO-1001-0001", "gsi_1_pk": "1001", "gsi_1_sk": "Pandan Coconut Sea Salt Latte", "gsi_2_pk": "specialty-coffee-drink", "gsi_2_sk": "Pandan Coconut Sea Salt Latte", "entity_number": "1001", "product_number": "PRO-1001-0001", "sku": "PH-SPECIA-10010001", "product_name": "Pandan Coconut Sea Salt Latte", "category": "specialty-coffee-drink", "brand": "Pandan Coconut Sea Salt Latte brand 1001-0001", "description": "Specialty iced latte with espresso, pandan syrup, coconut milk, and sea salt cream.", "base_price": 158, "stock_quantity": 24, "unit_label": "Pandan Coconut Sea Salt Latte", "rating": 1001, "is_featured": "true", "tag_1": "Pandan Coconut Sea Salt Latte tag 1 1001-0001", "tag_2": "Pandan Coconut Sea Salt Latte tag 2 1001-0001", "tag_3": "Pandan Coconut Sea Salt Latte tag 3 1001-0001", "display_order": 1, "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "245d13b4-9c54-5402-8895-5c61defb9b3f", "schema_version": 1001, "version": 1001}'